Genelec Community Forum has been archived

Thank you for all the years of Community discussions and activity!

The time has come for us to retire the community forums, but we will keep everything available for reading. There is a lot of valuable content written over the years, and you'll be able to access all of that. However, no new posts can be written, or old posts modified.

If you have questions, we recommend you use the Support function on the bottom right corner to contact our Customer Support directly.

Alternatively, if you wish to engage in a community discussion with other people, there are many active forums available. There is also an active, fan managed GENELEC COMMUNITY in Facebook, and many Genelec employees are active in the discussions there.

We are sorry for any possible inconvenience this may cause you, but we hope to hear from you through the other channels mentioned above.

Genelec Support

Message Boards

GLM 2.1.0 Error

audiounit, modified 5 Years ago.

GLM 2.1.0 Error

Youngling Posts: 18 Join Date: 6/29/10 Recent Posts
Hi,

I saw the update on FB today and decided to upgrade after the upgrade my 8351's appeared muted I went to click Mute on the side panel it came up with an Error Access Violation at dress 0065BB6 accessing address 000000C4. I updated the adapter to Firmware 1.0.8.2040 still getting the error.. The error also appears if i try to change groups.

Is it safe to downgrade back to 2.0.6 so i can get back to work since i updated the firmware?
Any help would be appreciated.

https://www.dropbox.com/s/3b8fck0mo5ty9 ... r.jpg?dl=0
audiounit, modified 5 Years ago.

Re: GLM 2.1.0 Error

Youngling Posts: 18 Join Date: 6/29/10 Recent Posts
Downgrading back to 2.0.6 has got things working again.
Any info i can provide to get this problem resolved and i'm happy to do so.

Cheers
1038, modified 5 Years ago.

Re: GLM 2.1.0 Error

Jedi Master Posts: 340 Join Date: 4/6/09 Recent Posts
Hi Brian,

what OS are you using, i've just upgraded our GLM program on Windows 7, i'm not having any issues.

You can feel free to give us a call and drop in with your laptop and try it here, or i can drop over to your place and try my MacBook Pro if you'd like...

I haven't connected any SAM monitors to my MBP so it may be a MAC issue....

Also give me a call i need to talk to you....
ilkka-rissanen, modified 5 Years ago.

Re: GLM 2.1.0 Error

Yoda Posts: 2564 Join Date: 3/23/09 Recent Posts
Hi,

Could you please export and send your setup file to us at SAM@genelec.com

Help menu : Export setup to desktop

Thanks!
audiounit, modified 5 Years ago.

Re: GLM 2.1.0 Error

Youngling Posts: 18 Join Date: 6/29/10 Recent Posts
Hi,

Here is the setup file you requested i did it on 2.0.6 if you want me to install 2.1.0 and reproduce the error and export another setup file let me know.

Im on.

Mac Pro (late 2013)
OS X 10.11.5

as i said above
Working
2.0.6
No Working
2.1.0

The GLM hub is defiantly being recognised my the computer because i was able to update the firmware on 2.1.0. just when an action that send data to the speaker the error appears i.e. muting, changing groups, saving firmware to speakers.

When trying to store current group setting and level i get an error in 2.0.6 and 2.1.0

Hope this helps.

Cheers
Brian
audiounit, modified 5 Years ago.

Re: GLM 2.1.0 Error

Youngling Posts: 18 Join Date: 6/29/10 Recent Posts
attachment was to big,

Here is the file.
https://www.dropbox.com/s/ft226ufx2jxsf ... 1.zip?dl=0
ilkka-rissanen, modified 5 Years ago.

Re: GLM 2.1.0 Error

Yoda Posts: 2564 Join Date: 3/23/09 Recent Posts
Thank you, I will come back to you soon.
popdv, modified 4 Years ago.

Re: GLM 2.1.0 Error

Padawan Posts: 32 Join Date: 6/26/11 Recent Posts
have like the same error "Access violation at address 004582CE in module GLM.exe. Read of address 000000C8"
on Windows 7 x64 after upgrade to 2.1.0 when try to "Store current group settings to monitor with current level"
in previews version of glm everything works fine
popdv, modified 5 Years ago.

Re: GLM 2.1.0 Error

Padawan Posts: 32 Join Date: 6/26/11 Recent Posts
new bug found:
when GLM starts the Volume level always -120db even I set it to -50 and press Save (for profile file)
Where I can download previews version to downgrade 2.0.6?
ilkka-rissanen, modified 5 Years ago.

Re: GLM 2.1.0 Error

Yoda Posts: 2564 Join Date: 3/23/09 Recent Posts
Hi to you both,

Thank you for your valuable feedback. We have already found and fixed the "access violation error". Next build will fix the problem.

Here is link to version 2.0.6 download files if you want to roll-back while waiting for the 2.1.1: https://www.dropbox.com/sh/r00mownup86t ... WZ9ua?dl=0
alexpen, modified 5 Years ago.

Re: GLM 2.1.0 Error

Padawan Posts: 27 Join Date: 9/15/14 Recent Posts
another small glitch:

1. Go to Group >> Sound Charachter Profile
2. Adjust profiler parameters (e.g. -2, -6)
3. Press Cancel Button
4. Go again to Group >> Sound Charachter Profile

Expected result:
- Old values shown
Actual result:
- New values (e.g. -2, -6) have been saved


But thanks a lot for this function!!!

Alex
ilkka-rissanen, modified 5 Years ago.

Re: GLM 2.1.0 Error

Yoda Posts: 2564 Join Date: 3/23/09 Recent Posts
Hi,

This is already fixed in the most recent build (85). Please download and install. :)
audiounit, modified 5 Years ago.

Re: GLM 2.1.0 Error

Youngling Posts: 18 Join Date: 6/29/10 Recent Posts
Ikka, is the access violation fixed in that build as well? or is that still coming in 2.1.1?
ilkka-rissanen, modified 5 Years ago.

Re: GLM 2.1.0 Error

Yoda Posts: 2564 Join Date: 3/23/09 Recent Posts
Ikka, is the access violation fixed in that build as well? or is that still coming in 2.1.1?

It is also fixed there. Just download and install the new build.
audiounit, modified 5 Years ago.

Re: GLM 2.1.0 Error

Youngling Posts: 18 Join Date: 6/29/10 Recent Posts
Hi all,
Just FYI i upgraded and still had the error but managed to fix it by deleting all traces of GLM 1 and 2 plus all calibrations. Once i started fresh and re-calabrated the errors where gone, I did have 8240's a 7260 sub and the 8351's all connected at one point and in the same group. So defiantly a conflict in there somewhere, but all good now after a fresh install & calibration of GLM.

So for anyone else experiencing this issue I hope it helps, I deleted all applications support files, the app, preferences and calibrations files.
wrench, modified 5 Years ago.

Re: GLM 2.1.0 Error

Youngling Posts: 1 Join Date: 10/10/16 Recent Posts
Any news on this? Just started getting this behaviour in macOS Sierra. It has been 6 months since the talk about 2.1.1

The 2.0.8 link is not available anymore either.

Thanks
ilkka-rissanen, modified 5 Years ago.

Re: GLM 2.1.0 Error

Yoda Posts: 2564 Join Date: 3/23/09 Recent Posts
Hi,

2.2.0 update is just around the corner, literally, but I cannot promise exact date. :) It will have some very interesting and important new features when it comes to system updating.
erikwmp, modified 5 Years ago.

Re: GLM 2.1.0 Error

Youngling Posts: 7 Join Date: 1/25/17 Recent Posts
Hi to you both,

Thank you for your valuable feedback. We have already found and fixed the "access violation error". Next build will fix the problem.

Here is link to version 2.0.6 download files if you want to roll-back while waiting for the 2.1.1: https://www.dropbox.com/sh/r00mownup86t ... WZ9ua?dl=0


Hello Ikka!
GLM 2.1.0 fails to install on all my computers (Mac Pro 2010, 6x33 gHz, 32gb RAM, OSX 10.11.6, and Macbook Air 2013 i7, 8gb ram OSX 10.11.6) Could I please have a download link to an older version of GLM to try that?
ilkka-rissanen, modified 5 Years ago.

Re: GLM 2.1.0 Error

Yoda Posts: 2564 Join Date: 3/23/09 Recent Posts
Hi Erik,

I would first suspect that the file download has corrupted. Have you tried downloading it again?

Here are the Dropbox links.

2.0.6: https://dl.dropboxusercontent.com/u/232 ... 6_2016.zip
2.1.0: https://dl.dropboxusercontent.com/u/232 ... 1_2017.zip
daiyama, modified 4 Years ago.

Re: GLM 2.1.0 Error

Padawan Posts: 73 Join Date: 1/4/16 Recent Posts
Hi,

2.2.0 update is just around the corner, literally, but I cannot promise exact date. :) It will have some very interesting and important new features when it comes to system updating.


Hi Ilkka,
any news on this? :D
ilkka-rissanen, modified 4 Years ago.

Re: GLM 2.1.0 Error

Yoda Posts: 2564 Join Date: 3/23/09 Recent Posts
Hi,

2.2.0 update is just around the corner, literally, but I cannot promise exact date. :) It will have some very interesting and important new features when it comes to system updating.


Hi Ilkka,
any news on this? :D

Final beta testing is ongoing as we speak. Not many days left... :)
ilkka-rissanen, modified 4 Years ago.

Re: GLM 2.1.0 Error

Yoda Posts: 2564 Join Date: 3/23/09 Recent Posts
New GLM 2.2.0 version (build 92) is available here: *link to be updated*

New and the most important feature is that now you can update (firmware) all SAM compatible monitors and subwoofers through the GLM.

Of course there are hundreds of small bug fixes and compatibility issues fixed as well.
manutal, modified 4 Years ago.

Re: GLM 2.1.0 Error

Jedi Knight Posts: 180 Join Date: 4/25/14 Recent Posts
Nice Ilkka & Genelec! Great work. Have to update! :)

Edit: Updated, no problems! There was even a firmware update for my second 7370 subwoofer :) And for many of the other speakers too, yupp all 16 monitors updated.
ilkka-rissanen, modified 4 Years ago.

Re: GLM 2.1.0 Error

Yoda Posts: 2564 Join Date: 3/23/09 Recent Posts
Good to hear that everything went smoothly. 16 monitors?? :shock: Would be nice to see a list of the models you have.
daiyama, modified 4 Years ago.

Re: GLM 2.1.0 Error

Padawan Posts: 73 Join Date: 1/4/16 Recent Posts
New GLM 2.2.0 version is available here: *link to be updated*

New and the most important feature is that now you can update (firmware) all SAM compatible monitors and subwoofers through the GLM.

Of course there are hundreds of small bug fixes and compatibility issues fixed as well.


Yep, thanks for that update! :D
Will update on weekend.
manutal, modified 4 Years ago.

Re: GLM 2.1.0 Error

Jedi Knight Posts: 180 Join Date: 4/25/14 Recent Posts
Good to hear that everything went smoothly. 16 monitors?? :shock: Would be nice to see a list of the models you have.


Yea updated and everything went smooth. (running win10 btw)

I have this setup atm:
2x 1237 Front
3x 8351 center & surround
8x 8330 surround back & wide + 4 in the roof
2x 7370
1x 7360

Going to update the center to a 1238AC and surround back and wide to 8351 in a couple of weeks. Change the room a bit for the better.
Update: The height channels are also going to be updated to 8351's :)

Edit: Small bugs in the new glm 2.2.0, Once I had to re apply the usb chord to the glm adapter, it was doing some monkey business.. losing monitors etc.
manutal, modified 4 Years ago.

Re: GLM 2.1.0 Error

Jedi Knight Posts: 180 Join Date: 4/25/14 Recent Posts
Noticed with the new Glm 2.2.0
When the glm has been connected for hours and the software is on then someting in the glm network starts bugging, losing monitors from glm etc. Then I have to reconnect the usb cable to GLM and restart the software for it to work normally again. Not a big fuzz but I guess its shouldnt be doing things like this. I just report what im excperiencing.

When I have the software off and I have Stored the setting from the GLM software into my monitors and all the dip switches are on stored the software or glm seems to loose my settings also after the amp has been on for hours. I can hear that the volume is at a different level then when the glm was working(I keep my glm volmue at -20db) and I stored the settings with the current volume into glm(I use my amp for volume changes). Seems to be some bugging going on here too. This happened in the earlier versions also.
ilkka-rissanen, modified 4 Years ago.

Re: GLM 2.1.0 Error

Yoda Posts: 2564 Join Date: 3/23/09 Recent Posts
2.2.0 build 92 can be downloaded here: viewtopic.php?f=3&t=2733
manutal, modified 4 Years ago.

Re: GLM 2.1.0 Error

Jedi Knight Posts: 180 Join Date: 4/25/14 Recent Posts
Should I update the 2.2.0 to a new build or what do you mean.
Oh well why not. lets update :) and play xD
ilkka-rissanen, modified 4 Years ago.

Re: GLM 2.1.0 Error

Yoda Posts: 2564 Join Date: 3/23/09 Recent Posts
Should I update the 2.2.0 to a new build or what do you mean.
Oh well why not. lets update :) and play xD

Yes, build 92 has a few improvements and bug fixes over the previous build 91. Update is recommended.
manutal, modified 4 Years ago.

Re: GLM 2.1.0 Error

Jedi Knight Posts: 180 Join Date: 4/25/14 Recent Posts
Yup, seems to work a little more stable, atleast for me.
artis, modified 4 Years ago.

Re: GLM 2.1.0 Error

Youngling Posts: 7 Join Date: 5/24/16 Recent Posts
So far, works like a charm! Updating was supper easy. Thanks Illka!